# DevopsToolkit

## Installation

```
$ gem install devops_toolkit
```

## Usage

Please consult the `--help` flag for listing available commands and subcommands.
For example;

```
$ devops-toolkit --help
Commands:
  devops-toolkit cidr            # CIDR related tasks
  devops-toolkit help [COMMAND]  # Describe available commands or one specific command
  devops-toolkit ssh             # SSH and SSH configuration tasks
```

```
$ devops-toolkit cidr --help
Commands:
  devops-toolkit cidr help [COMMAND]  # Describe subcommands or one specific subcommand
  devops-toolkit cidr size            # get the address size of a given cidr block
```

```
$ devops-toolkit cidr size --help
Usage:
  devops-toolkit cidr size [cidr]

Options:
  [--ipv6], [--no-ipv6]  # Use IPV6
  [--ipv4], [--no-ipv4]  # Use IPV4 (default)
                         # Default: true

get the address size of a given cidr block
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`.

## Contributing

Bug reports and pull requests are welcome on [GitHub](https://github.com/amitizle/devops_toolkit).
This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the DevopsToolkit project’s codebases, issue trackers, chat rooms and mailing lists is expected
to follow the [code of conduct](https://github.com/[USERNAME]/devops_toolkit/blob/master/CODE_OF_CONDUCT.md).
